This changelog is the source of truth for all changes to the Marketplace that affect people publishing apps.
Posts are made in the Marketplace announcements category of the developer community when the changelog is updated. Subscribe to the Marketplace announcements category to get notifications.
Marketplace partners, we’re introducing a new pricing plan for a small group of Atlassian Foundation nonprofit customers.
The Atlassian Foundation provides free Atlassian product licenses (“Foundation Free”) to a select group of close nonprofit partners (around 30 organizations globally). Until now, these nonprofits have paid full commercial price for Marketplace apps on top of their free Atlassian product licenses.
Effective February 25, 2026, we are introducing a 75% discount on Marketplace apps for customers with Foundation Free licenses, aligning their pricing with our other social impact discounts.
All Marketplace apps are automatically opted in to this new pricing plan.
From 25 Feb 2026 (PT), licenses opted into the new pricing plan will have the license_type field in both the Transactions API and Licenses API set to:
Foundation-Free
For apps impacted as of February 25, a partner manager has emailed you with more details.
For more information about Foundation Free and other app discount programs, learn more here.
For questions or concerns, please contact social-impact-teams@atlassian.com.
Effective date: 25 Feb 2026 (PT)
“Community Licenses” pricing plans are now called “Social Impact Licenses.”
Social Impact customers are eligible nonprofit and social enterprise customers approved for Atlassian Social Impact (formerly Community) Licenses.
The new discounts are designed to remove cost as a barrier to adopting collaboration tools—including Marketplace apps—so social impact teams can focus on delivering their mission.
For detailed information on:
the new Social Impact and Social Impact – Global Access license types
discount levels and eligibility
expected impact on Marketplace Partners
please see the Quick Reference Guide:
https://atlassianpartners.atlassian.net/wiki/spaces/resources/pages/1330544651/Changes+to+Community+Licenses+-+Quick+Reference+Guide
From 25 Feb 2026 (PT):
Existing Social Impact customers
Automatically receive the new discounts at their next renewal (no action required from partners).
From 25 Feb 2026 (PT), the license_type field in the Transactions API and Licenses API will return:
SOCIAL_IMPACT
SOCIAL_IMPACT_GLOBAL_ACCESS
instead of the previous COMMUNITY license_type value.
Exception: COMMUNITY Licenses in the new billing system(check here to identify licenses from New Billing system here) will be updated to the new license_type post next renewal.
Action for partners:
Update any logic, reporting, or internal tooling that:
filters or segments customers by license_type
Ensure your systems recognize SOCIAL_IMPACT and SOCIAL_IMPACT_GLOBAL_ACCESS as new license_type.
Effective 2025-12-16, Atlassian Marketplace no longer accepts new Data Center (DC) app submissions. This change aligns with the Data Center App Submission Policy Update and Atlassian’s broader Data Center end-of-life milestones.
As part of this update, we have removed the ability to publish new DC apps from the Marketplace Partner Portal. Partners will see updated, in-product messaging in the app publishing journey to explain this change and help set expectations.
For more details, please refer to:
https://www.atlassian.com/blog/developer/from-data-center-to-cloud-the-next-chapter-for-marketplace-apps
For any concerns or requests, partners are requested to raise an Ecohelp ticket.
As part of the ongoing Marketplace platform re-architecture, we’ve updated our deprecation timelines and API details to give partners more time and clarity for migration.
What’s changed?
The deprecation date for the Marketplace V2 APIs covered in this guide has been extended to 30 June 2026.
You can find the full context, including updated timelines, replacement V3 endpoints, and partner enablement details in the Quick Reference Guide here:
https://atlassianpartners.atlassian.net/wiki/spaces/resources/pages/735608891/Marketplace+Platform+Changes+GA+and+Partner+Implications+-+Quick+Reference+Guide
We have identified and fixed an issue where the purchaseDetails.discounts array (for discount type EXPERT) was not populated for some negative transaction line items.
Negative transaction lines usually represent credits for unused paid time.
“Unused paid time” refers to the credit a customer receives when they have already paid for a period of service but stop using it before the end of that period. Common example:
The customer upgrades to a higher user tier part‑way through the term. In these cases, the system issues a negative line (refund/credit) to return the unused portion of the original charge.
Sample Transaction: For a given upgrade from 400 → 500 user tier,
Transaction | Line # | Sales Type | Description | List amount | EXPERT discount | Net amount |
|---|---|---|---|---|---|---|
IN-test-10001 | 1 | Upgrade | Upgrade Example App 400 → 500 users | $500.00 | $100.00 | $400.00 |
IN-test-10001 | 2 | Refund | Credit for unused paid time on previous 400 tier | -$400.00 | -$80.00 | -$320.00 |
Line 2 is a negative transaction line (a credit) for unused paid time on the old 400‑user tier.
Previously:
Refund lines for unused paid time associated with Solution Partner Transactions, the discount amount was not populated in the EXPERT field on the transactions API.
As a result, partners could see a negative transaction amount (credit issued to the customer) but a zero or null expert discount amount on those same lines, making it difficult to reconcile discount treatment on credits.
This behavior has now been corrected. For all impacted transactions:
The EXPERT field is now correctly populated for unused paid time credit lines where an EXPERT discount was applied.
The EXPERT field will display the discount amount in Negative line (-80$ in the above example)
In total, this change updates ~17,000 transaction lines across Marketplace partners. Partners can check updated transactions using the last_updated field in the transactions API.
https://developer.atlassian.com/platform/marketplace/rest/v2/api-group-reporting/#api-vendors-vendorid-reporting-sales-transactions-get
We've added a new field product_id to the CSV file returned by the Get latest product catalog snapshot v3 API. All the existing fields are untouched and they remain as-is. For more details, please refer to the documentation of the aforementioned API.
A new RFC is ready for review at: https://community.developer.atlassian.com/t/rfc-124-evolving-the-marketplace-trust-program/98418
We identified an issue in the Transactions and Licenses APIs where the hostEntitlementNumber and hostLicenseId fields were incorrectly mapped to Customer Service Management (CSM) (part of Service Collection SKU) instead of the underlying Atlassian Apps (Jira or Jira Service Management).
This issue affected approximately 8K entitlements across partners and has now been fixed as of Jan 15, 2026.
hostEntitlementNumber and correspondly hostLicenseId will no longer map to Customer Service Management.
The app entitlements now map to the corresponding Jira products:
Jira Service Management (JSM), or
Jira.
No entitlements were removed; only the host entitlement has been updated.
Partners can use the lastUpdated field to identify updated licenses and transactions via:
We’ve updated how Data Center promotion are paginated in the Get promotions paged API so they behave consistently with Cloud promotion.
What changed
Previously, partners used the limit , totalItems and offset fields to navigate Data Center and Server promotion via: https://developer.atlassian.com/platform/marketplace/rest/v1/api-group-promotions/#api-group-promotions
As part of the ongoing DC promotion migration( https://developer.atlassian.com/platform/marketplace/changelog/#CHANGE-2986):
Data Center promotion codes
Now use cursor-based pagination via the nextId and prevId fields returned by the API response.
This is aligned with how Cloud promotions are already paginated.
Partners are requested to use the nextId and prevId values to navigate forward and backward through pages of Data Center promotion codes.
Server promotion codes
No change. Server promotion continue to use limit, totalItems and offset for pagination.
You can keep using your existing integration for Server-only use cases.
For full API details, see the Promotions API docs below, while Changes to Developer documents will be updated by Jan 23, 2026
https://developer.atlassian.com/platform/marketplace/rest/v1/api-group-promotions/#api-group-promotions
We’re removing the legacy “Current categories” field from the Partner Portal effective Jan 15, 2026
What’s changing
The “Current categories” section will be removed from the App details page in the Vendor Portal.
As communicated previously (Marketplace changelog), this field no longer impacts how apps are categorized or displayed on the Marketplace and is now being fully phased out.
There are no changes to the Categories or Keywords fields. These fields continue to power app categorization, navigation, and discovery on the Marketplace.
More details
For more information on the app categorization system, please refer to:
https://developer.atlassian.com/platform/marketplace/new-app-categorization-system-in-marketplace/
We’re announcing the deprecation of the V2 Get apps https://developer.atlassian.com/platform/marketplace/rest/v2/api-group-apps/#api-addons-get on Atlassian Marketplace.
What’s changing
The V2 Get apps api is now deprecated.
Deprecation window begins immediately, and these APIs will be removed after June 30, 2026 .
What you need to do Partners and developers should migrate to the V3 API to ensure continued functionality and support. Refer to the updated documentation for V3 Get Product Catalog Snapshot API to plan your transition. For more details on the migration process from V2 to V3 APIs, please refer to this Quick Reference Guide (QRG): https://atlassianpartners.atlassian.net/wiki/spaces/resources/pages/735608891/Marketplace+Platform+Changes+GA+and+Partner+Implications+-+Quick+Reference+Guide . For the final API endpoints and response structures, please refer to the latest documentation present on DAC. We appreciate your cooperation and look forward to ushering in a more streamlined and efficient Atlassian Marketplace experience. Thank you for your continued support.
To help our Marketplace Partners build more secure applications and streamline the app approval process, we are open-sourcing the security ruleset used by our internal marketplace-sast-scanner.
Earlier this year, we introduced mandatory SAST (Static Application Security Testing) scanning for Data Center apps as part of our Security Requirements. Since then, we’ve heard valuable feedback from our partner community regarding transparency into the automated security testing to help you identify and fix vulnerabilities before you submit your apps to the Marketplace.
By making these rules public, we aim to:
Support Shift-left Security practices: Empower you to run the same checks locally that our Ecoscanner platform runs
Foster collaboration: Allow community to contribute to the ruleset, helping the entire ecosystem stay ahead of emerging threats
The ruleset is built for Semgrep and is now available on GitHub. You can integrate these rules into your local development environment or CI/CD pipelines today.
Key resources:
Ruleset Repository: atlassian-labs/atlassian-sast-ruleset
Documentation: SAST Scanner for Data Center apps
Support: If you have questions about specific scan results, please reach out via the Partner Support Portal
Summary
Migration window: 5 Jan 2026 – 29 Jan 2026
What’s happening: We’re moving Data Center promotion codes from the legacy billing system to our new billing system.
During this time:
All active promotion codes continue to work as normal.
Customers can continue to redeem and use all active promotion codes as normal.
Partners can continue to view active promotion codes in:
Partner Portal UI, and
Promotions API.
Only redeemed inactive promotion codes (expired codes that have already been used) will not be visible in the
Partner Portal UI or
the Promotions API https://developer.atlassian.com/platform/marketplace/rest/v1/api-group-promotions/#api-marketplace-catalog-partners-partnerid-promotions-paged-get during the migration window.
Redeemed inactive promotion codes are promotion codes that have already been used and have since expired.
After the Migration Window:
Redeemed Inactive Promotion codes will be backfilled and provided on Partner portal UI and API.
Effective 29 January 2026, Bundled promotion codes will no longer be supported (i.e., codes that discount two or more partner-specific apps at once).
There is no migration of Data Center licenses in this window. Any updates about DC license migration will be shared separately.
We are migrating marketplace promotion codes from the legacy billing system to our new billing system. This migration aligns Data Center promotion processing more closely with how we handle cloud promotion codes today, and helps ensure data consistency and integrity across systems.
During the migration window, only redeemed inactive promotion codes will:
Not appear in the Partner Portal UI
Not be returned by the Promotions API:GET /marketplace/catalog/partners/{partnerId}/promotions/paged
(see docs: https://developer.atlassian.com/platform/marketplace/rest/v1/api-group-promotions/#api-marketplace-catalog-partners-partnerid-promotions-paged-get))
We require a short, controlled window to safely migrate promotion code data, ensuring data integrity and consistency across systems.
Promotion codes will be processed by the new billing system similar to cloud promotion codes going forward.
Area | Old Billing System | New Billing System |
|---|---|---|
Data Center Promotion Code creation Flow | Partners can create a single promotion code that can be redeemed across one or multiple apps (bundled promotions - These are promotions that applied in the old billing system on bundled purchases, i.e., only when two specific partner apps were in the cart) | Each promotion code is scoped to one specific app only. Effective Jan 5, 2026, we will end ability to create new bundled promotions/ promotion codes. Effective Jan 29, 2026, Data Center bundled promotion codes will no longer be supported. This simplifies the process for both partners and customers, making promotion code usage clear and consistent across cloud and data center. |
Data Center Promotion Code status | Partners will be able to view
| Partners will be able to view
|
Reporting & Reconciliation (no Changes) | Use | No change, continue to use |
If you rely on historical redeemed inactive promotion codes, Export or record any needed data (bundled or standalone) via:
Partner Portal UI, or
If you need redeemed inactive promotion data or Bundled promotion code during the migration window(5 Jan - 29 Jan 2026), please raise an ECO-HELP ticket and we can retrieve it for you.
Redeemed inactive promotion codes will be backfilled and visible again in both:
the Partner Portal UI, and
the Promotions API byJan 29, 2026 .
We’re announcing the deprecation of the V2 Categories APIs on Atlassian Marketplace.
What’s changing
The V2 Get categories , V2 Get category are now deprecated.
A six-month deprecation window begins immediately, and these APIs will be removed after June 30, 2026 .
What you need to do
Partners and developers should migrate to the new APIs to ensure continued functionality and support. Refer to the updated documentation for Get Product Tags , Get product tag APIs to plan your transition.
For more details on the migration process from V2 to V3 APIs, please refer to this Quick Reference Guide (QRG): https://atlassianpartners.atlassian.net/wiki/spaces/resources/pages/735608891/Marketplace+Platform+Changes+GA+and+Partner+Implications+-+Quick+Reference+Guide .
For the final API endpoints and response structures, please refer to the latest documentation present on DAC. We appreciate your cooperation and look forward to ushering in a more streamlined and efficient Atlassian Marketplace experience. Thank you for your continued support.
We’re announcing the deprecation of the V2 Licenses APIs on Atlassian Marketplace.
What’s changing
The V2 Get License Type , V2 Get License Types are now deprecated.
A six-month deprecation window begins immediately, and these APIs will be removed after June 30, 2026 .
What you need to do
This is a static list. You can get the valid license types from the response body of - V3 Get app software version by build number
Partners and developers should migrate to the V3 APIs to ensure continued functionality and support.
For more details on the migration process from V2 to V3 APIs, please refer to this Quick Reference Guide (QRG): https://atlassianpartners.atlassian.net/wiki/spaces/resources/pages/735608891/Marketplace+Platform+Changes+GA+and+Partner+Implications+-+Quick+Reference+Guide .
For the final API endpoints and response structures, please refer to the latest documentation present on DAC.
We appreciate your cooperation and look forward to ushering in a more streamlined and efficient Atlassian Marketplace experience. Thank you for your continued support.
Rate this page: